## golang-github-natefinch-atomic 1.0.1

=== debian/changelog ===
golang-github-natefinch-atomic (1.0.1-2) unstable; urgency=medium

  * Source-only upload.

 -- Taavi Väänänen <taavi@debian.org>  Mon, 12 May 2025 21:51:38 +0300

golang-github-natefinch-atomic (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #1103876)

 -- Taavi Väänänen <taavi@debian.org>  Mon, 28 Apr 2025 20:24:49 +0300
